%==================================================================
%
%	TimeDiffInfo.m
%
%	Markus Junghoefer	[1995]
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
%
%
%	Function definition
%
	
	function[]=TimeDiffInfo(TimeMat,ch_TimeDiffInfo,LPause);


%
%
%=================================================================
if nargin<3; LPause=1; end
if nargin<2; ch_TimeDiffInfo=[]; end
if nargin<1; TimeMat=[]; return; end
if isempty(TimeMat); return; end
fprintf('\n');clc;
[ch_TimeDiffInfo]=IfEmptyInputBo(['Do you want to get information'],[' about the time matrix ?'],ch_TimeDiffInfo,1);	
if ~ch_TimeDiffInfo; return; end;

fprintf('\n');clc;
i=1;
j=2;
DiffYear=TimeMat(i,1)-TimeMat(j,1);
fprintf('Delay Year: %g . \n',DiffYear)
DiffMonth=TimeMat(i,2)-TimeMat(j,2);
fprintf('Delay Month: %g . \n',DiffMonth)
DiffDay=TimeMat(i,3)-TimeMat(j,3);
fprintf('Delay Day: %g . \n',DiffDay)
DiffHour=TimeMat(i,4)-TimeMat(j,4);
fprintf('Delay Hour: %g . \n',DiffHour)
DiffMinute=TimeMat(i,5)-TimeMat(j,5);
fprintf('Delay Minute: %g . \n',DiffMinute)
DiffSec=TimeMat(i,6)-TimeMat(j,6);
fprintf('Delay Second: %g . \n',DiffSec)
DiffMSec=TimeMat(i,7)-TimeMat(j,7);
fprintf('Delay MSecond: %g . \n',DiffMSec)
pause(LPause)
return;
